#!/bin/bash

if [ -f '/usr/sbin/wildix_shell_tools' ]; then
	. /usr/sbin/wildix_shell_tools
else
	logger -t "${0}" "ERROR: can't include wildix_shell_tools"
	exit 1
fi

CORES="$(lscpu | grep '^CPU(s):' | awk {'print $2'})"
RAM="$(free -m | grep '^Mem:' | awk {'print $2'})"
DOCKER="$(is_docker)"
AMAZON="$(is_amazon)"
DIR="/usr/share/wildix/init-tweaks"

chown -R wms:wms "${DIR}/"*
chmod -R +x "${DIR}/"*

for s in $(ls $DIR); do
	log "Running script: $s [$CORES $RAM $AMAZON $DOCKER]" "${0##*/}"
	[ -f "${DIR}/$s" ] && "${DIR}/$s" "$CORES" "$RAM" "$AMAZON" "$DOCKER"
done

exit 0